#ifndef __INI_H
#define __INI_H

#ifdef INI_INTERNAL
#  define SETTINGS_EXTERN
#else
#  define SETTINGS_EXTERN extern
#endif

/* Storing and retrieving settings */

SETTINGS_EXTERN void SettingsGetHomePath(char *homePath);

SETTINGS_EXTERN void SettingsSet(char *key, char *value);
SETTINGS_EXTERN void SettingsGet(char *key, char *value, char *defaultValue);

SETTINGS_EXTERN void SettingsSetInt(char *key, int value);
SETTINGS_EXTERN int SettingsGetInt(char *key, int defaultValue);

#define SETTINGS_KEY_FONTNAME    "FontName"
#define SETTINGS_KEY_FONTSIZE    "FontSize"

#endif


