#ifndef __PAINT_H
#define __PAINT_H

#ifdef PAINT_INTERNAL
#  define PAINT_EXTERN
#else
#  define PAINT_EXTERN extern
#endif

PAINT_EXTERN int gCurrentDay;
PAINT_EXTERN int gCurrentMonth;
PAINT_EXTERN int gCurrentYear;

PAINT_EXTERN void generateFontName(char *name, int size, char *style,
                                  char *dest);

PAINT_EXTERN void GetMenuButton(GdkFont* font, char *str,
                                int* x, int* y, int* cx, int* cy); 
PAINT_EXTERN void GetTodayButton(GdkFont* font, char *str,
                                 int* x, int* y, int* cx, int* cy,
                                 int cxWindow);
PAINT_EXTERN void GetYomButton(GdkFont* font, char *str,
                               int* x, int* y, int* cx, int* cy);

PAINT_EXTERN void MainWindowPaint(GtkWidget* widget, gpointer data);

typedef struct _PaintItTest
{
  int x;
  int y;

  int returnIsMonth;
  int returnIsYear;

  int returnDay;
  int returnDayAnni;

  int returnIsPrev;
  int returnIsNext;
} PaintItTest;

typedef struct _PaintItPart
{
  int iDay1;
  int iDay2;
} PaintItPart;

PAINT_EXTERN void PaintIt(GdkWindow* window, int doPaint,
                          PaintItTest* pit, PaintItPart* pip);

#endif

