#ifndef __TORAFULL_H
#define __TORAFULL_H

typedef struct tagPARSHA
{
  char achParasha1[256];
  int uParam1;
  char achParasha2[256];
  int uParam2;
  char achParasha3[256];
  int uParam3;

  char achHaphtarah1[256];
  char achHaphtarah2[256];
  char achHaphtarah3[256];
} PARSHA;
typedef PARSHA * LPPARSHA;

typedef struct tagPARSHAIDS
{
  int fValid;
  int uID1;
  int uID2;
  int uID3;
} PARSHAIDS;
typedef PARSHAIDS * LPPARSHAIDS;

int ParashGetReadings(int uHebrewDay,
                       int uHebrewMonth,
                       int uHebrewYear,
                       LPPARSHA lpParsha);
int ParashGetReadingsWithIDs(int uHebrewDay,
                              int uHebrewMonth,
                              int uHebrewYear,
                              LPPARSHA lpParsha,
                              LPPARSHAIDS lpParshaIDs);

void ParashGetQuickly(int day, int month, int year, /* Hebrew date */
                      char *torahReadings, char *haphtarahReadings);

#endif

