#ifndef __ZMANIM_H
#define __ZMANIM_H

#ifdef ZMANIM_INTERNAL
#  define ZMANIM_EXTERN
#else
#  define ZMANIM_EXTERN   extern
#endif

#define ZMANIMMAX           256

#define ZMANIM_NULL         0
#define ZMANIM_CONST        1
#define ZMANIM_GROUP        2

typedef struct tagZMANIMREC
{
  char achName1[256];
  char achName2[256];
  char achInternalName[256];
  int iType;
  void *lpvData;
} ZMANIMREC;

#ifndef ZMANIM_INTERNAL
extern ZMANIMREC ZmanimRecs[];
#endif

ZMANIM_EXTERN void GetZmanimForDay(long currentDate, char *dest);

#endif

