#ifndef __CONFIG_H
#define __CONFIG_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <math.h>
#include <ctype.h>

/* LargeInteger must be 64-bit integer type */
typedef long long LargeInteger;

#define SETTINGS_FILENAME    ".jewcalsettings"
#define CITIES_FILENAME      "cities"

#define INITIAL_WIDTH  240
#define INITIAL_HEIGHT 280

#define YEAR_BEGIN     1583
#define YEAR_END       3000

#define YAHRZEIT_ABBREV     "yorts."
#define YAHRZEIT_FULL       "yortsayt"

#endif

