#ifndef __HEBRCAL_H
#define __HEBRCAL_H

#include "date.h"

int Hebrew_Leap_Year(int year);
int Last_Month_Of_Hebrew_Year(int year);
int Last_Day_Of_Hebrew_Month(int month, int year);
long AbsoluteFromHebrew(calDate* date);
void HebrewFromAbsolute(long lDate, calDate* date);

#define HebrcalGetLastMonthOfYear      Last_Month_Of_Hebrew_Year
#define HebrcalGetLastDayOfHebrewMonth Last_Day_Of_Hebrew_Month
#define HebrcalAbsoluteFromForeign     AbsoluteFromHebrew
#define HebrcalForeignFromAbsolute     HebrewFromAbsolute

#endif

