#ifndef __HOLIDAYS_H
#define __HOLIDAYS_H

#include "date.h"

int GetJewishHolidayCount(void);
void GetJewishHolidayName(int holiday, char *name);
void GetJewishHolidayDate(int holiday, int year, calDate* date);
int GetJewishHolidayFirstYear(int holiday);

void GetSpecialDay(long absDate, char *name);

#define HOLIDAY_ROSH_HA_SHANA            0
#define HOLIDAY_YOM_KIPPUR               1
#define HOLIDAY_SUKKOT_1                 2
#define HOLIDAY_SUKKOT_2                 3
#define HOLIDAY_SUKKOT_3                 4
#define HOLIDAY_SUKKOT_4                 5
#define HOLIDAY_SUKKOT_5                 6
#define HOLIDAY_SUKKOT_6                 7
#define HOLIDAY_SUKKOT_7                 8
#define HOLIDAY_SHEMINI_AZERETH          9 
#define HOLIDAY_SIMCHAT_TORAH            10
#define HOLIDAY_PASSOVER_1               11
#define HOLIDAY_PASSOVER_2               12
#define HOLIDAY_PASSOVER_3               13
#define HOLIDAY_PASSOVER_4               14
#define HOLIDAY_PASSOVER_5               15
#define HOLIDAY_PASSOVER_6               16
#define HOLIDAY_PASSOVER_7               17
#define HOLIDAY_CHANUKKAH_1              18
#define HOLIDAY_CHANUKKAH_2              19
#define HOLIDAY_CHANUKKAH_3              20
#define HOLIDAY_CHANUKKAH_4              21
#define HOLIDAY_CHANUKKAH_5              22
#define HOLIDAY_CHANUKKAH_6              23
#define HOLIDAY_CHANUKKAH_7              24
#define HOLIDAY_CHANUKKAH_8              25
#define HOLIDAY_SHAVUOT                  26
#define HOLIDAY_TUBSHEVAT                27
#define HOLIDAY_PURIM                    28
#define HOLIDAY_TAANITESTHER             29
#define HOLIDAY_TISHA_BAV                30
#define HOLIDAY_TZOM_GEDALIAH            31
#define HOLIDAY_TZOM_TEVETH              32
#define HOLIDAY_TZOM_TAMMUZ              33
#define HOLIDAY_SHUSHAN_PURIM            34
#define HOLIDAY_LAG_BOMER                35
#define HOLIDAY_YOM_HASHOAH              36
#define HOLIDAY_YOM_HAATZMAUT            37
#define HOLIDAY_YOM_YERUSHALAYIM         38
#define HOLIDAY_SHAVUOT_2                39
#define HOLIDAY_PASSOVER_8               40
#define HOLIDAY_THE_GREAT_SHABBAT        41
#define HOLIDAY_ROSH_HA_SHANA_2          42
#define HOLIDAY_YOM_HAZICARON            43

#define HOLIDAY_PURIM_KATAN_1            44
#define HOLIDAY_PURIM_KATAN_2            45

#define HOLIDAY_EREV_ROSH_HASHANAH       46
#define HOLIDAY_EREV_YOM_KIPPUR          47
#define HOLIDAY_EREV_SUKKOT              48
#define HOLIDAY_ISRU_CHAG_SUKKOT         49
#define HOLIDAY_EREV_PESACH              50
#define HOLIDAY_ISRU_CHAG_PESACH         51
#define HOLIDAY_EREV_SHAVUOT             52
#define HOLIDAY_ISRU_CHAG_SHAVUOT        53

#define HOLIDAY_LAST                     53

#endif /* __HOLIDAYS_H */
