#ifndef __SETTINGS_H
#define __SETTINGS_H

#include "dst.h"

void settingsInit(void);
void settingsDone(void);

int diasporaGetFlag(void);
void diasporaSetFlag(int isDiaspora);

int postponeShushanPurimGetFlag(void);
void postponeShushanPurimSetFlag(int postponeShushanPurim);

int getStyle(void);
void setStyle(int style);

void getCityFileName(char *cityFileName);
void setCityFileName(char *cityFileName);

void getCity(char *city);
void setCity(char *city);

int getCandleLightingMin(void);
void setCandleLightingMin(int value);

int getHavdalahIsMin(void);
void setHavdalahIsMin(int value);

void getHavdalahValue(char *value);
void setHavdalahValue(char *value);

int getIsDST(void);
void setIsDST(int value);

void getDSTstruct(dstStruct *dst);
void setDSTstruct(dstStruct *dst);

#endif

