#ifndef __SUNTIME_H
#define __SUNTIME_H

typedef long double SUNTIME_FLOAT;  

#ifndef OCCURRENCE_SUNSET
#define OCCURRENCE_SUNSET           0
#endif

#ifndef OCCURRENCE_SUNRISE
#define OCCURRENCE_SUNRISE          1
#endif

int GetSunsetSunrise(int day, int month, int year,
                     int occurrence,
                     int latitude, int longitude, int timeZone,
                     int *hour, int *min);
int GetDegreesBelowHorizon(int day, int month, int year,
                           SUNTIME_FLOAT degreesBelowHorizon,
                           int latitude, int longitude, int timeZone,
                           int *hour, int *min);
                                             
#endif /* __SUNTIME_H */
